# destroyScopedPod abstract method

void destroyScopedPod(

1. String podName

)

Destroys all pods in the specified scope.

This method destroys pods that belong to a specific scope, such as all request-scoped pods when a request completes.

## Usage Example:

    // When request completes
    factory.destroyScopedPod('request');

@param podName The name of the scope to destroy pods for

## Implementation

    void destroyScopedPod(String podName);